Loading...
Searching...
No Matches
iorheobase.h

Go to the source code of this file.

## Classes

struct | irheomanip1< T >
struct | orheomanip1< T >
struct | iorheomanip1< T >
class | iorheobase_memory_handler< T >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | iorheobase_def_boolean_accessor_macro(ioclass, stream, name)
#define | iorheobase_manip_boolean_accessor_macro(ioclass, stream, name)
#define | iorheobase_def_member_macro(ioclass, stream, name, groupe)
#define | iorheobase_manip_member_macro(ioclass, stream, name, groupe)
#define | iorheobase_def_scalar_macro(ioclass, t, a)
#define | iorheobase_manip_scalar_macro(ioclass, t, a, io)
#define | iorheobase_io_scalar_body_macro(ioclass, t, a)

## Functions

template<class T>
std::istream & | operator>> (std::istream &is, const irheomanip1< T > &m)
template<class T>
std::ostream & | operator<< (std::ostream &os, const orheomanip1< T > &m)
template<class T>
std::istream & | operator>> (std::istream &is, const iorheomanip1< T > &m)
template<class T>
std::ostream & | operator<< (std::ostream &os, const iorheomanip1< T > &m)

## Macro Definition Documentation

## iorheobase_def_boolean_accessor_macro

#define iorheobase_def_boolean_accessor_macro | ( |  | ioclass,
|  |  | stream,
|  |  | name )

Value:
static bool get##name (stream& s) \
{ \
return ioclass::flags(s) [name]; \
}

Definition at line 31 of file iorheobase.h.

## iorheobase_manip_boolean_accessor_macro

#define iorheobase_manip_boolean_accessor_macro | ( |  | ioclass,
|  |  | stream,
|  |  | name )

Value:
inline stream& name (stream& s) \
{ \
ioclass::setf (s, ioclass::name); \
return s; \
} \
inline stream& no##name (stream& s) \
{ \
ioclass::unsetf (s, ioclass::name); \
return s; \
}

Definition at line 36 of file iorheobase.h.

## iorheobase_def_member_macro

#define iorheobase_def_member_macro | ( |  | ioclass,
|  |  | stream,
|  |  | name,
|  |  | groupe )

Value:
iorheobase_def_boolean_accessor_macro(ioclass,stream,name)
iorheobase_def_boolean_accessor_macro
#define iorheobase_def_boolean_accessor_macro(ioclass, stream, name)
Definition iorheobase.h:31

Definition at line 48 of file iorheobase.h.

## iorheobase_manip_member_macro

#define iorheobase_manip_member_macro | ( |  | ioclass,
|  |  | stream,
|  |  | name,
|  |  | groupe )

Value:
inline stream& name (stream& s) \
{ \
ioclass::setf(s, ioclass::name, ioclass::groupe##_field); \
return s; \
}

Definition at line 51 of file iorheobase.h.

## iorheobase_def_scalar_macro

#define iorheobase_def_scalar_macro | ( |  | ioclass,
|  |  | t,
|  |  | a )

Value:
protected: \
t a ## _; \
const t& a () const; \
void a (const t& x); \
public: \
static const t& get##a (std::ios& s); \
static std::ios& set##a (std::ios& s, const t& x);

Definition at line 58 of file iorheobase.h.

## iorheobase_manip_scalar_macro

#define iorheobase_manip_scalar_macro | ( |  | ioclass,
|  |  | t,
|  |  | a,
|  |  | io )

Value:
inline io##rheomanip1<t> set##a (const t& x) \
{ \
return io##rheomanip1<t>(&(ioclass::set##a), x); \
}

Definition at line 67 of file iorheobase.h.

## iorheobase_io_scalar_body_macro

#define iorheobase_io_scalar_body_macro | ( |  | ioclass,
|  |  | t,
|  |  | a )

Value:
const t& \
ioclass::a () const \
{ \
return a##_; \
} \
void \
ioclass::a (const t& x) \
{ \
a##_ = x; \
} \
const t& \
ioclass::get##a (std::ios& s) \
{ \
return (ioclass::get_pointer(s) -> a()); \
} \
std::ios& \
ioclass::set##a (std::ios& s, const t& x) \
{ \
(ioclass::get_pointer(s) -> a(x)); \
return s; \
}
mkgeo_ball.a
int a
Definition mkgeo_ball.sh:151

Definition at line 76 of file iorheobase.h.